Welcome to the Linux Foundation Forum!

couldn't validate the identity of the API Server:

Options

Hello !
I get the enclosed message when running the "kubeadm join" statement from the worker window (Lab 2.2. Deploy a New Cluster, p3)

Could you help me ?
Regards
Joly

Answers

  • chrispokorni
    chrispokorni Posts: 2,199
    Options

    Hi @jolymakit,

    Your peer learners have posted similar issues in the past, and the solution that seemed to fix it was the selection of a different subnet for the VMs. From what I recall the 10.2.0.0/16 subnet worked.

    Regards,
    -Chris

  • jolymakit
    jolymakit Posts: 14
    Options

    Hello @chrispokorni,
    When I try to change the VPC ip address, I get the enclosed error.
    Regards

  • jolymakit
    jolymakit Posts: 14
    Options

    Hello @chrispokorni ,
    The issue happens because I was using "europe-west9" region on my VPC and WM.
    I switched to "us-central1-a"
    It's weird, but everything works now....
    Thanks for your help.
    Regards

Categories

Upcoming Training